---
title: StyleSheet.parentStyleSheet
slug: Web/API/StyleSheet/parentStyleSheet
tags:
  - API
  - CSSOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p class="summary">The <code><strong>parentStyleSheet</strong></code> property of the {{domxref("StyleSheet")}} interface returns the style sheet, if any, that is including the given style sheet.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>objRef</em> = stylesheet.parentStyleSheet
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Find the top level stylesheet
if (stylesheet.parentStyleSheet) {
  sheet = stylesheet.parentStyleSheet;
} else {
  sheet = stylesheet;
}</pre>

<h2 id="Notes">Notes</h2>

<p>This property returns <code>null</code> if the current stylesheet is a top-level stylesheet or if stylesheet inclusion is not supported.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-stylesheet-parentstylesheet", "StyleSheet: parentStyleSheet")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StyleSheet.parentStyleSheet")}}</p>
